API ReferenceMembers
Update a tenant membership
PUT
Updates the membership of a user in the tenant. This includes the roles assigned to this user for this tenant.
Analytics Events
TENANT_MEMBERSHIP_UPDATE_STARTTENANT_MEMBERSHIP_UPDATE_SUCCESSTENANT_MEMBERSHIP_UPDATE_FAIL
bearerAuthheader
AuthorizationBearer <token>tenantId*stringIdentifier of the tenant.
Format
uuiduserId*stringIdentifier of the user who's membership is being updated.
Format
uuidapplication/json- body
roles*array<>The roles assigned to the user.
Membership updated.
application/json- response
userId*stringUser ID.
tenantId*stringTenant ID.
roles*array<>The roles assigned to the user.
curl -X PUT "https://example.com/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/memberships/818f7564-49cb-4003-b041-37aec302e2c9" \ -H "Content-Type: application/json" \ -d '{ "roles": [ "dts-provider", "issuer" ] }'{ "userId": "879a5524-d515-4aee-824a-c52fdcd4eea6", "tenantId": "8f49b206-e0bb-474d-8a4d-62186a9de886", "roles": [ "dts-provider", "issuer" ]}How would you rate this page?